{ pkgs, ... }:
{
  # TODO Separate in diffrent packages once the structure is finalized...
  # or connvert into per-directory requirements
  home.packages = with pkgs; [
    # Ansible
    ansible
    ansible-lint

    # C/C++
    cmake
    clang
    ccache
    gdb

    # Common
    perf-tools
    git
    jq
    yq
    universal-ctags
    highlight
    zeal-qt6 # Offline documentation

    # Docker
    docker
    docker-compose

    # FPGA
    yosys
    verilog
    ghdl
    gtkwave # TODO Display server only

    # Network
    socat
    dig
    whois
    nmap
    tcpdump
    wireshark-qt # TODO Display server only

    # nix
    nix

    # Python
    python3Packages.ipython
  ];

}
