{ pkgs, config, ... }:
let
  stylix = builtins.fetchGit {
    url = "https://github.com/danth/stylix.git";
    ref = "release-23.05";
  };
in
{
  imports = [ (import stylix).homeManagerModules.stylix ];

  stylix = {
    # FIXME Changeable at runtime
    base16Scheme = "${pkgs.base16-schemes}/share/themes/solarized-dark.yaml";
    image = builtins.fetchurl {
      url = "https://get.wallhere.com/photo/sunlight-abstract-minimalism-green-simple-circle-light-leaf-wave-material-line-wing-computer-wallpaper-font-close-up-macro-photography-124350.png";
      sha256 = "sha256:1zfq3f3v34i45mi72pkfqphm8kbhczsg260xjfl6dbydy91d7y93";
    };
    # FIXME This doesn't work

    fonts.monospace = {
      package = pkgs.nerdfonts;
      name = "DejaVuSansM Nerd Font";
    };

    targets.vim.enable = false; # FIXME Not compatible with nixvim for now (there's a MR)
    # targets.i3.enable = false; # I prefer my own styles
  };

  # Fix https://nix-community.github.io/home-manager/index.html#_why_do_i_get_an_error_message_about_literal_ca_desrt_dconf_literal_or_literal_dconf_service_literal
  home.packages = [ pkgs.dconf ];
}
